<?php

namespace app\controller;

use app\BaseController;

class Index extends BaseController
{
    public function index()
    {
//        $user = SysUser::with(['roles.menus'=> function($query) {
//            $query->where('deleted', 0);
//        }])->find("1");
//
//        $menus = $user->getMenus();
//        dump($user);
//        dump($menus);

//        dd($user->getMenus(true));


        return '';
        return '<style>*{ padding: 0; margin: 0; }</style><iframe src="https://www.thinkphp.cn/welcome?version=' . \think\facade\App::version() . '" width="100%" height="100%" frameborder="0" scrolling="auto"></iframe>';
    }

    public function hello($name = 'ThinkPHP8')
    {
        return 'hello,' . $name;
    }
}
